# EditorConfig: https://EditorConfig.org

# top-most EditorConfig file
root = true

# General settings
[*]
end_of_line = lf
insert_final_newline = true
charset = utf-8

# Source code files
[*.{c,h,s}]
indent_style = tab
charset = utf-8
indent_size = 4
trim_trailing_whitespace = true

# Tab indentation (no size specified)
[{Makefile,*.mk}]
indent_style = tab
trim_trailing_whitespace = false
